## org.apache.mahout.math.decomposer.hebbian
Interface EigenUpdater

All Known Implementing Classes:
  HebbianUpdater

    public interface EigenUpdater

Method Summary
`void` `update(Vector pseudoEigen, Vector trainingVector, TrainingState currentState)`

Method Detail

### update

    void update(Vector pseudoEigen,
                Vector trainingVector,
                TrainingState currentState)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.